Eclipse Platform Release 3.7

## org.eclipse.core.filesystem
Interface IFileInfo

All Superinterfaces:
  Cloneable, Comparable

All Known Implementing Classes:
  FileInfo

    public interface IFileInfo

extends Comparable, Cloneable

A file info is a simple structure holding information about a file or directory. The information contained here is static; changes to this object will not cause corresponding changes to any file on disk, and changes to files on disk are not reflected in this object. At best, an IFileInfo represents a snapshot of the state of a file at a particular moment in time.

Since:
  org.eclipse.core.filesystem 1.0
See Also:
  `IFileStore.fetchInfo(int, IProgressMonitor)`, `IFileStore.putInfo(IFileInfo, int, IProgressMonitor)`
Restriction:
  This interface is not intended to be implemented by clients. File store implementations should use the concrete class `FileStore`

Method Summary
`boolean` `exists()` Returns whether this file or directory exists.
`boolean` `getAttribute(int attribute)` Returns the value of the specified attribute for this file.
`long` `getLastModified()` Returns the last modified time for this file, or `EFS.NONE` if the file does not exist or the last modified time could not be computed.
`long` `getLength()` Returns the length of this file, or `EFS.NONE` if the file does not exist, or the length could not be computed.
`String` `getName()` Returns the name of this file.
`String` `getStringAttribute(int attribute)` Returns the value of the specified attribute for this file.
`boolean` `isDirectory()` Returns whether this file is a directory, or `false` if this file does not exist.
`void` `setAttribute(int attribute, boolean value)` Sets the value of the specified attribute for this file info.
`void` `setLastModified(long time)` Sets the last modified time for this file.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### exists

    boolean exists()

  Returns whether this file or directory exists.

  Returns:
    `true` if this file exists, and `false` otherwise.

### getAttribute

    boolean getAttribute(int attribute)

  Returns the value of the specified attribute for this file. The attribute must be one of the `EFS#ATTRIBUTE_*` constants. Returns `false` if this file does not exist, could not be accessed, or the provided attribute does not apply to this file system.

  Parameters:
    `attribute` - The attribute to retrieve the value for
  Returns:
    the value of the specified attribute for this file.
  See Also:
    `IFileSystem.attributes()`

### getStringAttribute

    String getStringAttribute(int attribute)

  Returns the value of the specified attribute for this file. The attribute must be one of the `EFS#ATTRIBUTE_*` constants. Returns `null` if this file does not exist, could not be accessed, or the provided attribute does not apply to this file system.

  Parameters:
    `attribute` - The kind of attribute to return. Currently only `EFS.ATTRIBUTE_LINK_TARGET` is supported.
  Returns:
    the value of the extended String attribute for this file.
  Since:
    org.eclipse.core.filesystem 1.1
  See Also:
    `IFileSystem.attributes()`

### getLastModified

    long getLastModified()

  Returns the last modified time for this file, or `EFS.NONE` if the file does not exist or the last modified time could not be computed.

  The time is represented as the number of Universal Time (UT) milliseconds since the epoch (00:00:00 GMT, January 1, 1970).

  Returns:
    the last modified time for this file, or `EFS.NONE`

### getLength

    long getLength()

  Returns the length of this file, or `EFS.NONE` if the file does not exist, or the length could not be computed. For directories, the return value is unspecified.

  Returns:
    the length of this file, or `EFS.NONE`

### getName

    String getName()

  Returns the name of this file.

  Returns:
    the name of this file.

### isDirectory

    boolean isDirectory()

  Returns whether this file is a directory, or `false` if this file does not exist.

  Returns:
    `true` if this file is a directory, and `false` otherwise.

### setAttribute

    void setAttribute(int attribute,
                      boolean value)

  Sets the value of the specified attribute for this file info. The attribute must be one of the `EFS#ATTRIBUTE_*` constants. Note that not all attributes are applicable in a given file system.

  Users must call `IFileStore.putInfo(IFileInfo, int, IProgressMonitor)` before changes made to this info take effect in an underlying file.

  Parameters:
    `attribute` - The attribute to set the value for
    `value` - the value of the specified attribute for this file.
  See Also:
    `IFileSystem.attributes()`

### setLastModified

    void setLastModified(long time)

  Sets the last modified time for this file. A value of `EFS.NONE` indicates the file does not exist or the last modified time could not be computed.

  Users must call `IFileStore.putInfo(IFileInfo, int, IProgressMonitor)` before changes made to this info take effect in an underlying file.

  Parameters:
    `time` - the last modified time for this file, or `EFS.NONE`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.